/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.verticalprio;

import java.util.ArrayList;
import java.util.List;

import se.vgregion.verticalprio.entity.Column;
import se.vgregion.verticalprio.entity.SektorRaad;

public class MainForm {

    /**
     *  
     */
    public MainForm() {
        allSektorsRaad.setId(-1l);
        allSektorsRaad.setKod("Alla sektorsråd");
    }

    private List<SektorRaad> sectors = new ArrayList<SektorRaad>();

    private SektorRaad allSektorsRaad = new SektorRaad();

    private List<Column> columns = new ArrayList<Column>();

    private String command;

    public List<SektorRaad> getSectors() {
        return sectors;
    }

    public void setCommand(String command) {
        this.command = command;
    }

    public String getCommand() {
        return command;
    }

    public List<Column> getColumns() {
        return columns;
    }

    public void setAllSektorsRaad(SektorRaad allSektorsRaad) {
        this.allSektorsRaad = allSektorsRaad;
    }

    public SektorRaad getAllSektorsRaad() {
        return allSektorsRaad;
    }

}
